<?php
$title = 'Create new Post';
$this->headTitle($title);
?>
<h1><?= $this->escapeHtml($title); ?></h1>
<?php

$post = $form->get('title');
$post->setAttribute('class', 'form-control');
$post->setAttribute('placeholder', 'Post title');

$description = $form->get('description');
$description->setAttribute('class', 'form-control');
$description->setAttribute('placeholder', 'Post description');

$image_url = $form->get('image_url');
$image_url->setAttribute('class', 'form-control');
$image_url->setAttribute('placeholder', 'Add Image');

$file = $form->get('image');
$image_url->setAttribute('class', 'form-control');
$image_url->setAttribute('placeholder', 'Upload image');

$submit = $form->get('submit');
$submit->setAttribute('class', 'btn btn-primary');

$form->setAttribute('action', $this->url('post', ['action' => 'add']));
$form->prepare();

echo $this->form()->openTag($form);
?>

<div class="form-group">
    <?= $this->formLabel($post); ?>
    <?= $this->formElement($post); ?>
    <?= $this->formElementErrors()->render($post, ['class' => 'help-block']); ?>
</div>
<div class="form-group">
    <?= $this->formLabel($description); ?>
    <?= $this->formElement($description); ?>
    <?= $this->formElementErrors()->render($description, ['class' => 'help-block']); ?>
</div>
<div class="form-group">
    <?= $this->formLabel($image_url); ?>
    <?= $this->formElement($image_url); ?>
    <?= $this->formElementErrors()->render($image_url, ['class' => 'help-block']); ?>
</div>
<div class="form-group">
    <?= $this->formLabel($file); ?>
    <?= $this->formFile($file); ?>
    <?= $this->formElementErrors($file); ?>
</div>

<?php
echo $this->formSubmit($submit);
//echo $this->formHidden($form->get('id'));
echo $this->form()->closeTag();
